/* color pallete: https://color.adobe.com/For-animation-color-theme-8144301/ */

/* base fonts */

html,
body {
  color: #2C858D;
  font-family: 'Dosis', sans-serif;
  font-size: 16px;
  font-weight: 400;
}

.html {
  min-height:100%;
  position:relative;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 800;
  margin-bottom: 15px;
}

h1 {
  font-size: 300%;
}

h2 {
  font-size: 275%;
}

h3 {
  font-size: 250%;
}

h4 {
  font-size: 225%;
}

h5 {
  font-size: 200%;
}

h6 {
  font-size: 175%;
}

p {
  color: #74CEB7;
  font-size: 150%;
  line-height: 140%;
  margin-bottom: 10px;
}

/* primary nav */

header {
  background: #70DBDB;
  border-bottom: 3px solid #00C5CD;
  height: 75px;
  margin-bottom: 25px;
  padding: 0 5%;
}

h2 {
  background: url(../images/angry-cat.jpg) no-repeat;
  background-size: cover;
  border: 3px solid #00C5CD;
  border-radius: 50%;
  float: left;
  height: 50px;
  margin-top: 12px;
  text-indent: -99999px;
  width: 50px;
}

.main-nav {
  float: right;
  padding-top: 15px;
}

.main-nav li {
  display: inline-block;
  margin: 15px 10px 0;
}

.main-nav a {
  color: white;
  font-size: 110%;
  text-decoration: none;
}

.main-nav a:hover {
  border-bottom: 4px solid #00E5EE;
}

/* body content */

.push{
  height:150px;
}

.container {
  width: 90%;
  margin: 0 auto;
  margin-bottom: -150px;
  overflow: auto;
  /* padding-bottom: 150px; */
}

.container,
.main-content,
.secondary-content {
  height: 550px;
}

.main-content {
  display: inline-block;
  vertical-align: top;
  width: 75%;
  overflow: auto;
}

.hero-img {
    border-radius: 10px;
    margin-right: 10px;
    vertical-align: top;
    width: 30%;
    float:right;
}

.secondary-content {
  display: inline-block;
  vertical-align: top;
  width: 25%;
}

/* main content */

.main-content p {
  display: inline-block;
  width: 60%;
}


/* secondary content */

.secondary-content {
  border-left: 2px solid #FFDCEB;
  text-align: center;
  width: 24%;
}

.sizing {
  float:right;
}

.secondary-content li,
.secondary-content p {
  font-size: 140%;
  line-height: 160%;
}

.secondary-content ul {
  border-top: 2px solid #7EBF9C;
  border-bottom: 2px solid #7EBF9C;
  border-radius: 10px;
  margin: 20px 0;
  padding: 20px 0;
}

.secondary-content li{
  color: #8DD6AF;
}

.secondary-content h3,
.secondary-content p  {
  color: #7EBF9C;
  font-weight: 800;
}

.aside-img {
  border: 5px solid #8DD6AF;
  border-radius: 50%;
  display: block;
  height: 100px;
  width: 100px;
}

.hide-show {
  display:none;
}

.show-hide {
  display: inline;
}

/* footer */

footer {
  background: #1E90FF;
  height: 150px;
  position:absolute;
  bottom:0;
  width:100%;
  margin-top:auto;
}

footer ul {
  max-width: 697px;
  margin: auto;
}

footer img {
  width: 25px;
  margin: 10px;
}

footer p {
  color: white;
}

.three-column {
  background: #42C0FB;
  border-radius: 10px;
  color: white;
  display: inline-block;
  height: 100px;
  margin: 10px;
  width: 200px;
  vertical-align: top;
}

li.three-column {
  padding: 5px;
  text-align: center;
}

input {
  border-radius: 10px;
  border: 3px solid #8DD6AF;;
  height: 15px;
  margin-bottom: 5px;
  width: 50%;
}

.btn {
  width: 50%;
  padding: 3px;
  color: white;
  background: #3299CC;
  border-radius: 10px;
  margin: 0 auto;
}

@media screen and (max-width: 1300px) {
  .main-content {
    /* background-color: black; */
  }
}

@media screen and (max-width: 700px) {
  .main-content {
    /* background-color: blue; */
    width:100%;
  }

  .secondary-content {
    display:inline;
    overflow: auto;
    
  }

  .push {
    height:0;
  }

  /* .secondary-content p {
    margin-bottom: 150px;
  } */

  .aside-img {
    /* float: right; */
    /* display: none; */
    /* visibility: hidden; */
    margin:auto;
  }

  .hide-show {
    display: block;
  }

  .show-hide {
    display: none;
    margin:auto;
  }

  .three-column {
    /* background: #1E90FF; */
    padding: 0;
    margin:5px;
    width:140px;
    height:130px;
  }

  footer {
    display:flex;
  }

}